# Coupled LMD

This software provides a Computational Fluid Dynamics (CFD) framework for the 
numerical simulation of the Laser Metal Deposition (LMD) process in 3D printing.

For a full description please see "A coupled multiphase Lagrangian-Eulerian 
fluid-dynamics framework for numerical simulation of Laser Metal Deposition 
process" by M.Murer, G.Formica, F.Milicchio, S.Morganti and F.Auricchio, 
International Journal of Advanced Manufacturing Technology.

# Prerequisites

To compile this sofware you need:

- PETSc
- SLEPc
- deal.II (with support enabled for PETSC and SLEPc)

# Examples

All meshes relative to the LMD nozzle are provided in the "/mesh" directory.

A sample parameter file is provided in the "/parameter_file" directory. The
file is fully commented, with units of measuer for all physical properties.

Please note that the parameter file's references to the boundary descriptors,
e.g., inlet=1, must match the provided ids in the mesh files.

# License

If you use this software for academic or business purposed, please cite the
software as:

	"A coupled multiphase Lagrangian-Eulerian fluid-dynamics framework for 
	numerical simulation of Laser Metal Deposition process", 
	M.Murer, G.Formica, F.Milicchio, S.Morganti and F.Auricchio, 
	International Journal of Advanced Manufacturing Technology. 

For additional information please see the LICENSE.md file.
