//
// Created by murer on 29/09/20.
//

#include "laser.h"

Laser::Laser(const Settings &settings, Triangulation<dim> &triangulation)
        : triangulation(triangulation)
        , dof_handler_laser(triangulation)
        , fe_laser(settings.fe_degree)
        , quadrature_laser(settings.fe_degree+1)
        , settings(settings)
{

    laser_power_function.laser_power = settings.laser_power;
    laser_power_function.laser_radius = settings.laser_radius;
    laser_power_function.zeta_0 = settings.laser_focal_plane;
    laser_power_function.theta = (2*settings.laser_angle)*M_PI/180;

}

void Laser::setup_system()
{
    dof_handler_laser.distribute_dofs(fe_laser);
    DoFRenumbering::boost::Cuthill_McKee(dof_handler_laser);

    laser_radiation.reinit(dof_handler_laser.n_dofs());


    VectorTools::interpolate(dof_handler_laser, laser_power_function, laser_radiation);
    //VectorTools::interpolate(dof_handler_laser, Functions::ZeroFunction<dim>(dim), laser_radiation);

}

