//
// Created by murer on 29/09/20.
//

#ifndef FLOWS_LASER_H
#define FLOWS_LASER_H


#include <deal.II/fe/mapping_q.h>

#include "../general.h"
#include "../settings.h"
#include "../temperature/temperature.h"
#include "laser_bcs.h"

class Laser
{

    public:
        Laser(const Settings &settings, Triangulation<dim> &triangulation);
        void setup_system();
        void output_results(DataOut<dim> &data_out) const;

        Triangulation<dim> &triangulation;
        const Settings &settings;

        const FE_Q<dim>     fe_laser;
        QGauss<dim>         quadrature_laser;
        DoFHandler<dim> dof_handler_laser;

        Vector<double> laser_radiation;

        LaserRadiation laser_power_function;




};


#endif //FLOWS_LASER_H
