//
// Created by murer on 29/09/20.
//

#include "laser_bcs.h"



LaserRadiation::LaserRadiation()
        : Function<dim>(1) {}

double LaserRadiation::value(const Point<dim> &p,
                             const unsigned int component) const {
    (void) component;
    AssertIndexRange(component, 1);



    double diameter = laser_radius * 2;
    double radius =  (sqrt(pow(diameter,2) + pow(theta, 2) * pow((p(2) - zeta_0), 2)) / 2) ;
    //return 0;

    return (2*laser_power/(M_PI * pow(radius,2))) * exp(-2* (pow(p(0),2) + pow(p(1),2)) / pow(radius,2));


}

void LaserRadiation::value_list(const std::vector<Point<dim>> &points,
                                std::vector<double> &values,
                                const unsigned int component) const {
    (void) component;
    AssertIndexRange(component, 1);
    const unsigned int n_points = points.size();
    Assert(values.size() == n_points,
           ExcDimensionMismatch(values.size(), n_points));
    for (unsigned int i = 0; i < n_points; ++i)
        values[i] = LaserRadiation::value(points[i]);
}

