//
// Created by murer on 29/09/20.
//

#ifndef FLOWS_LASER_BCS_H
#define FLOWS_LASER_BCS_H

#include <deal.II/base/function.h>
#include <deal.II/lac/vector.h>

#include "../general.h"


class LaserRadiation : public Function<dim> {
public:


    double theta;
    double zeta_0;

    double laser_power;
    double laser_radius;

    LaserRadiation();

    virtual double value(const Point<dim> &p,
                         const unsigned int component = 0) const override;

    virtual void value_list(const std::vector<Point<dim>> &points,
                            std::vector<double> &values,
                            const unsigned int component = 0) const override;
};



#endif //FLOWS_LASER_BCS_H
