
#include "navierstokes.h"

void NavierStokes::output_results(DataOut<dim> &data_out) const
{
    std::vector<std::string> velocity_name(dim, "velocity");

    std::vector<DataComponentInterpretation::DataComponentInterpretation>
            stokes_component_interpretation(
            dim, DataComponentInterpretation::component_is_scalar);
    for (unsigned int i = 0; i < dim; ++i)
        stokes_component_interpretation[i] =
                DataComponentInterpretation::component_is_part_of_vector;

    if(settings.algorithm == "linear_imex")
        data_out.add_data_vector(dof_handler_velocity,u_n_plus_1, velocity_name, stokes_component_interpretation);
    else
        data_out.add_data_vector(dof_handler_velocity,u_n, velocity_name, stokes_component_interpretation);
    data_out.add_data_vector(dof_handler_pressure, pres_n, "pressure");

    data_out.build_patches();
}
