#include "navierstokes_worker.h"

NS_ScratchData::NS_ScratchData(const NavierStokes        &ns,
                        const UpdateFlags         update_flags)
        :
        ns(ns),
        update_scratch(update_flags),
        fe_values_velocity(ns.fe_velocity,
                           ns.quadrature_velocity,
                           update_scratch),
        fe_values_pressure(ns.fe_pressure,
                           ns.quadrature_pressure,
                           update_scratch),
        fe_values_pressure_grad(ns.fe_pressure,
                                ns.quadrature_velocity,
                                update_scratch)
{}

NS_ScratchData::NS_ScratchData(const NS_ScratchData &scratch_data)
        :
        ns(scratch_data.ns),
        update_scratch(scratch_data.update_scratch),
        fe_values_velocity(scratch_data.fe_values_velocity.get_fe(),
                  scratch_data.fe_values_velocity.get_quadrature(),
                  scratch_data.update_scratch),
        fe_values_pressure(scratch_data.fe_values_pressure.get_fe(),
                          scratch_data.fe_values_pressure.get_quadrature(),
                          scratch_data.update_scratch),
        fe_values_pressure_grad(scratch_data.fe_values_pressure.get_fe(),
                                scratch_data.fe_values_velocity.get_quadrature(),
                                scratch_data.update_scratch)
{}


