

#ifndef MULTIGRID_MESHER_H
#define MULTIGRID_MESHER_H

#include <deal.II/grid/tria.h>
#include <deal.II/grid/grid_generator.h>
#include <deal.II/grid/grid_refinement.h>
#include <deal.II/grid/tria_accessor.h>
#include <deal.II/grid/tria_iterator.h>
#include <deal.II/grid/manifold_lib.h>
#include <deal.II/grid/grid_out.h>
#include <deal.II/grid/grid_in.h>

#include "settings.h"
#include "general.h"

using namespace dealii;

class mesher
{
public:

    mesher(const Settings &settings);
    void rectangle_with_hole(Triangulation<dim> &triangulation);
    void rectangle(Triangulation<dim> &triangulation);
    void cylinder(Triangulation<dim> &triangulation);
    void channel_with_cylinder(Triangulation<dim> &triangulation);
    void load_abaqus_mesh(Triangulation<dim> &triangulation);
    void load_gmsh_mesh(Triangulation<dim> &triangulation);
    void load_salome_mesh(Triangulation<dim> &triangulation);

    void boundary_refine(Triangulation<dim> &triangulation);
    void vertex_refine(Triangulation<dim> &triangulation);

    const Settings &settings;

};


#endif //MULTIGRID_MESHER_H
