//
// Created by murer on 20/02/20.
//

#include "newton_bcs.h"


BoundaryValues::BoundaryValues()
        : Function<dim>(dim+1)
{
}


  double BoundaryValues::value(const Point<dim> & p,
                                    const unsigned int component) const
  {
    Assert(component < this->n_components,
           ExcIndexRange(component, 0, this->n_components));
      if (component == 0 && std::abs(p[dim - 1] - 1.0) < 1e-10)
          //return 1.0;

      {
          if(time < 0.02)
              return 0.0 + (time/0.1)*(1.0);
          else
              return 1.0;
      }


    return 0;
  }

/*
void BoundaryValues::vector_value(const Point<dim> & p,
                                  Vector<double> &values) const
{
//    double H = 4.0;
//        values(0) = 4. * 1.0 * p(1) * (H - p(1)) / (H * H);
    values(0) = 1.0;
    values(1) = 0.0;
}


void BoundaryValues::vector_value_list(const std::vector<Point<dim>> &points,
                                       std::vector<Vector<double>> &  value_list) const
{
    Assert(value_list.size() == points.size(),
           ExcDimensionMismatch(value_list.size(), points.size()));
    for (unsigned int p = 0; p < points.size(); ++p)
        BoundaryValues::vector_value(points[p], value_list[p]);
}
*/

InletVelocityNewton::InletVelocityNewton()
        : Function<dim>(dim+1)
{}

void InletVelocityNewton::vector_value(const Point<dim> & p,
                                 Vector<double> &values) const
{

    if(inlet_type == "parabolic")
    {
        if(dim==2)
        {
            values(0) = 4. * inlet_velocity_x * p(1) * (H - p(1)) / (H * H);
            //values(0) = 12*((2-p(1))/2)-24*pow(((2-p(1))/2),2);
            values(1) = inlet_velocity_y;

            //double v_x = 2*(1+inlet_velocity_x * sin(2*M_PI*time))/3;
            //values(0) = 4. * v_x * p(1) * (H - p(1)) / (H * H);
        }

    }
    else
    {
        if(dim==2)
        {
            //values(0) = inlet_velocity_x + (time);
            //values(0) = inlet_velocity_x + 0.9*sin(2*M_PI*0.1*time);
            //values(0) = 2*(1+inlet_velocity_x * sin(2*M_PI*time))/3;

            values(0) = inlet_velocity_x + time;
            values(1) = inlet_velocity_y;
        }
        else
        {
            values(0) = inlet_velocity_x;
            values(1) = inlet_velocity_y;
            values(2) = inlet_velocity_z;
        }
    }

}

void InletVelocityNewton::vector_value_list(const std::vector<Point<dim>> &points,
                                      std::vector<Vector<double>> &  value_list) const
{
    Assert(value_list.size() == points.size(),
           ExcDimensionMismatch(value_list.size(), points.size()));
    for (unsigned int p = 0; p < points.size(); ++p)
        InletVelocityNewton::vector_value(points[p], value_list[p]);
}

