#ifndef NS_NEWTON_NEWTON_BCS_H
#define NS_NEWTON_NEWTON_BCS_H

#include <deal.II/base/function.h>
#include <deal.II/lac/vector.h>

#include "../general.h"

using namespace dealii;

class BoundaryValues : public Function<dim>
{
public:

    double time;

    BoundaryValues();


    virtual double value(const Point<dim> & p,
                         const unsigned int component) const override;
/*
    virtual void vector_value(const Point<dim> & p,
                              Vector<double> &values) const override;

    virtual void
    vector_value_list(const std::vector<Point<dim>> &points,
                      std::vector<Vector<double>> &  value_list) const override;
*/
};



class InletVelocityNewton : public Function<dim>
{
public:

    double inlet_velocity_x, inlet_velocity_y, inlet_velocity_z, H;
    double time, plateau_time;
    std::string inlet_type;

    InletVelocityNewton();

    virtual void vector_value(const Point<dim> & p,
                              Vector<double> &values) const override;

    virtual void
    vector_value_list(const std::vector<Point<dim>> &points,
                      std::vector<Vector<double>> &  value_list) const override;
};



#endif //NS_NEWTON_NEWTON_BCS_H
