#include "newton.h"


void NavierStokesNewton::output_results(
        DataOut<dim> &data_out) const
{
    std::vector<std::string> solution_names(dim, "velocity");
    solution_names.emplace_back("pressure");

    std::vector<DataComponentInterpretation::DataComponentInterpretation>
            data_component_interpretation(
            dim, DataComponentInterpretation::component_is_part_of_vector);
    data_component_interpretation.push_back(
            DataComponentInterpretation::component_is_scalar);

    data_out.attach_dof_handler(dof_handler);
    data_out.add_data_vector(present_solution,
                             solution_names,
                             DataOut<dim>::type_dof_data,
                             data_component_interpretation);
    data_out.build_patches();

    //std::ofstream output(Utilities::int_to_string((1.0 / viscosity),1) + "-solution-" +
      //                   Utilities::int_to_string(output_index, 1) + ".vtk");
    //data_out.write_vtk(output);
}
