#include "particles_dynamic.h"


void ParticlesDynamic::output_results(const unsigned int step)
{

    std::ofstream output;
    output.open(settings.output_directory + settings.particles_filename + Utilities::int_to_string(step) + ".csv");
    output << "x, y, z, temperature,fluid_temp,vel_x,fluid_vel_x,vel_y,fluid_vel_y,vel_z,fluid_vel_z,laser_power,liquid_fraction,diameter,p_id\n";


    double z_location = 0;

    std::string particles_info;
    for(auto p:particle_handler)
    {
        if(p.get_properties()[type_ignore] > 0.0)
            continue;

        if (dim > 2)
            z_location = p.get_location()[2];

        particles_info +=
                std::to_string(p.get_location()[0]) + "," +
                std::to_string(p.get_location()[1]) + "," +
                std::to_string(z_location) + "," +
                std::to_string(p.get_properties()[num_temperature]) + "," +
                std::to_string(p.get_properties()[num_fluid_temperature]) + "," +
                std::to_string(p.get_properties()[num_velocity_x]) + "," +
                std::to_string(p.get_properties()[num_fluid_velocity_x]) + "," +
                std::to_string(p.get_properties()[num_velocity_y]) + "," +
                std::to_string(p.get_properties()[num_fluid_velocity_y]) + "," +
                std::to_string(p.get_properties()[num_velocity_z]) + "," +
                std::to_string(p.get_properties()[num_fluid_velocity_z]) + "," +
                std::to_string(p.get_properties()[num_laser_power]) + "," +
                std::to_string(p.get_properties()[num_liquid_fraction]) + "," +
                std::to_string(p.get_properties()[num_diameter]) + "," +
                std::to_string(p.get_id()) + "\n";
    }

    for(auto s:particles_info)
    {
        output << s;
    }
}


