#ifndef MULTIGRID_SOLVERS_H
#define MULTIGRID_SOLVERS_H

#include <fstream>
#include <iostream>
#include <random>
#include <cstdio>
#include <ctime>
#include <chrono>
#include <thread>

#include "settings.h"
#include "linearized_ns/navierstokes_worker.h"
#include "linearized_ns/navierstokes_rhs.h"
#include "linearized_ns/navierstokes_bcs.h"
#include "general.h"
#include "linearized_ns/navierstokes.h"
#include "mesher.h"
#include "temperature/temperature.h"
#include "newton_ns/newton.h"
#include "newton_ns/newton_bcs.h"
#include "particles/particles_dynamic.h"
#include "laser/laser.h"


void linear(const Settings &settings, Triangulation<dim> &triangulation);

void newton(const Settings &settings, Triangulation<dim> &triangulation);


#endif //MULTIGRID_SOLVERS_H