#ifndef MULTIGRID_TEMPERATURE_RHS_H
#define MULTIGRID_TEMPERATURE_RHS_H

#include <deal.II/base/function.h>
#include <deal.II/lac/vector.h>

#include "../general.h"


class TemperatureRightHandSide : public Function<dim>
{
public:

    double laser_power;
    double laser_radius;
    double substrate_location;

    TemperatureRightHandSide()
            : Function<dim>()
    {}

    virtual double value(const Point<dim> & p,
                         const unsigned int component = 0) const override;

    virtual void value_list(const std::vector<Point<dim>> &points,
                            std::vector<double> &          values,
                            const unsigned int component = 0) const override;
};


#endif //MULTIGRID_TEMPERATURE_RHS_H
